import 'package:json_annotation/json_annotation.dart';

part 'department_model.g.dart';

@JsonSerializable()
class DepartmentModel {
  final String id;
  final String name;

  DepartmentModel({
    required this.id,
    required this.name,
  });

  factory DepartmentModel.fromJson(Map<String, dynamic> json) {
    return _$DepartmentModelFromJson(json);
  }

  Map<String, dynamic> toJson() => _$DepartmentModelToJson(this);
}
